Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.container.support
Class BlueprintContainerServicePublisher

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.container.support.BlueprintContainerServicePublisher

All Implemented Interfaces:
  EventListener, org.springframework.context.ApplicationListener<org.springframework.context.event.ApplicationContextEvent>

    public class BlueprintContainerServicePublisher

extends Object
implements org.springframework.context.ApplicationListener<org.springframework.context.event.ApplicationContextEvent>

Infrastructure bean that automatically publishes the given ModuleContext as an OSGi service. The bean listens for the start/stop events inside an `ApplicationContext` to register/unregister the equivalent service. Note: This component is stateful and should not be shared by multiple threads.

Author:
  Costin Leau

Constructor Summary
`BlueprintContainerServicePublisher(BlueprintContainer blueprintContainer, org.osgi.framework.BundleContext bundleContext)` Constructs a new `ModuleContextServicePublisher` instance.

Method Summary
`void` | `onApplicationEvent(org.springframework.context.event.ApplicationContextEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlueprintContainerServicePublisher

    public BlueprintContainerServicePublisher(BlueprintContainer blueprintContainer,
                                              org.osgi.framework.BundleContext bundleContext)

  Constructs a new `ModuleContextServicePublisher` instance.

  Parameters:
    `blueprintContainer` -
    `bundleContext` -

Method Detail

### onApplicationEvent

    public void onApplicationEvent(org.springframework.context.event.ApplicationContextEvent event)

  Specified by:
    `onApplicationEvent` in interface `org.springframework.context.ApplicationListener<org.springframework.context.event.ApplicationContextEvent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.